﻿using Microsoft.Extensions.ObjectPool;
using OpenCvSharp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Sockets;
using System.Text;
using System.Threading.Tasks;

namespace WindowsFormsApp1
{
    public class PooledObjectPolicy : IPooledObjectPolicy<Mat>
    {
        OpenCvSharp.Size _frameSize;
        MatType _matType;

        public PooledObjectPolicy(OpenCvSharp.Size frameSize, MatType matType)
        {
            _frameSize = frameSize;
            _matType = matType;
        }

        public Mat Create()
        {
            return new Mat(_frameSize, _matType);
        }

        public bool Return(Mat obj)
        {
            return true;
        }
    }
}
